var system = require("../../../system")
const CtlBase = require("../../ctl.base");
const uuidv4 = require('uuid/v4');
class MsgHistoryCtl extends CtlBase {
  constructor() {
    super("msg", CtlBase.getServiceName(MsgHistoryCtl));
  }
  async chanMsg (msg) {
    const from = msg.from;
    const to = msg.to;
    const msgContent = msg.content;
    var msgH = {
      toType: msg.type ? msg.type : "single",
      senderId: msg.from,
      sender: msg.nickNameForm,
      fromHeadUrl: msg.headUrlFrom,
      targetId: msg.to,
      target: msg.nickNameTo,
      toHeadUrl: msg.headUrlTo,
      content: msg.content
    };
  }
}
module.exports = MsgHistoryCtl;
